Bug 545439 - (CVE-2009-4135) CVE-2009-4135 coreutils: Unsafe temporary directory use in "distcheck" rule
CVE-2009-4135 coreutils: Unsafe temporary directory use in "distcheck" rule
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://git.savannah.gnu.org/cgit/core...
impact=low,source=redhat,reported=200...
: Security
Depends On: 546692 546705 549869
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-08 10:35 EST by Jan Lieskovsky
Modified: 2010-02-26 02:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 02:40:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-12-08 10:35:43 EST
The "distcheck" Makefile rule in coreutils 5.2.1 through to 8.1
did use unsafe (predictable) temporary directory location for
performing own tasks. This might allow local attacker to conduct
symlink attacks under certain circumstances.

Upstream patch:
---------------
http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=ae034822c535fa5

Credit:
-------
Jim Meyering

CVE Request:
------------
http://www.openwall.com/lists/oss-security/2009/12/08/4
Comment 1 Jim Meyering 2009-12-08 10:40:18 EST
Note that the offending rule is run as part of "make distcheck".
Comment 2 Jan Lieskovsky 2009-12-08 10:42:15 EST
Thanks for the catch Jim, substituted "my-distcheck" for "distcheck".
Comment 4 Jan Lieskovsky 2009-12-09 09:50:12 EST
This is CVE-2009-4135.
Comment 7 Fedora Update System 2009-12-11 14:07:56 EST
coreutils-7.6-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/coreutils-7.6-8.fc12
Comment 8 Fedora Update System 2009-12-11 14:08:21 EST
coreutils-7.2-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/coreutils-7.2-5.fc11
Comment 9 Josh Bressers 2009-12-15 16:16:42 EST
The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.  More information regarding issue severity can be found here: http://www.redhat.com/security/updates/classification/
Comment 10 Fedora Update System 2009-12-17 23:24:13 EST
coreutils-7.2-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-17 23:28:30 EST
coreutils-7.6-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Tomas Hoger 2010-02-26 02:40:31 EST
Closing this nextrelease as it was addressed in Fedora coreutils makefiles and will be fixed in Red Hat Enterprise Linux 6 too.

This flaw is in the distcheck rule, used by coreutils upstream developers to prepare and check distribution source tarballs.  It does not affect users using binary RPMs or rebuilding source RPMs (distcheck target is not used during the SRPM build).

Note You need to log in before you can comment on or make changes to this bug.